
.viewCode header{
  box-shadow: 0px 2px 5px 0 rgba(0, 0, 0, 0.26);
}
.showcode{
  background: rgb(0, 0, 49);
  color: rgba(124, 98, 152, 1);
  width: 40px;
  height: 40px;
  text-align: center;
  position: absolute;
  right: 1em;
  bottom: 0;
  margin-bottom: -15px;
  border-radius: 100%;
  font-size: 16px;
  cursor: pointer;
  box-shadow: 0px 2px 5px 0 rgba(0, 0, 0, 0.26);
  transition: all .3s;
}
.viewCode .showcode{
  -webkit-transform: rotateX(-180deg);
  transform: rotateX(-180deg);
  box-shadow: 0px -2px 5px 0 rgba(0, 0, 0, 0.26);
}
.icon-nocode, .icon-yepcode{
  transition: opacity .3s;
  position: absolute;
  left: 0;
  display: block;
  width: 100%;
  line-height: 40px;
}
.icon-nocode{
  opacity: 0;
}
.viewCode .icon-nocode{
  opacity: 1;
}
.viewCode .icon-yepcode{
  opacity: 0;
}

.mfb-component--tl{
  animation: fromTop 1s 1;
  -webkit-animation: fromTop 1s 1;
}
.mfb-component--tr{
  animation: fromTop 1.3s 1;
  -webkit-animation: fromTop 1.3s 1;
}
.mfb-component--br{
  animation: fromBottom 1.6s 1;
  -webkit-animation: fromBottom 1.6s 1;
}
.mfb-component--bl{
  animation: fromBottom 1.9s 1;
  -webkit-animation: fromBottom 1.9s 1;
}
@keyframes fromBottom {
  0% {
    transform: translateY(250px);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes fromTop {
  0% {
    transform: translateY(-250px);
  }
  100% {
    transform: translateY(0);
  }
}
@-webkit-keyframes fromBottom {
  0% {
    transform: translateY(250px);
  }
  100% {
    transform: translateY(0);
  }
}
@-webkit-keyframes fromTop {
  0% {
    transform: translateY(-250px);
  }
  100% {
    transform: translateY(0);
  }
}

@-webkit-keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}
